RegisterDefaultFactoryFor< AbstractClass, ConcreteClass, instance > Struct Template Reference

Object factory registry helper. More...

`#include <factory.h>`

## Public Member Functions

| RegisterDefaultFactoryFor (const char *name=NULL)

## Detailed Description

template<class AbstractClass, class ConcreteClass, int instance = 0>
struct RegisterDefaultFactoryFor< AbstractClass, ConcreteClass, instance >

Object factory registry helper.

Template Parameters

  AbstractClass | Base class interface of the object
  ConcreteClass | Class object
  instance | unique identifier

Definition at line 110 of file factory.h.

## Constructor & Destructor Documentation

## RegisterDefaultFactoryFor()

template<class AbstractClass , class ConcreteClass , int instance = 0>

RegisterDefaultFactoryFor< AbstractClass, ConcreteClass, instance >::RegisterDefaultFactoryFor | ( | const char * | name = `NULL` | ) |

inline

Definition at line 112 of file factory.h.

The documentation for this struct was generated from the following file:

- factory.h